"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.label.string = this.text;

        this.animal = cc.find('Canvas/animal');

        var self = this;
        cc.loader.loadRes('小猪', sp.SkeletonData, function (err, spData) {
            var component = self.animal.addComponent(sp.Skeleton);
            component.skeletonData = spData;
            component.animation = "睡觉";
        });

        this.animal.getComponent(sp.Skeleton).setAnimation(0, "吃饭", true);
    },

    // called every frame
    update: function update(dt) {}
});

cc._RF.pop();